Microsoft 建议不要安装 Exchange Server 5.5 和 Outlook 2000 或更高版本在同一台计算机

文章翻译 文章翻译
文章编号: 313889 - 查看本文应用于的产品
本文已归档。它按“原样”提供,并且不再更新。
展开全部 | 关闭全部

概要

Microsoft 强烈建议您不要安装 Outlook 2000 或更高版本和 Exchange Server 5.5 (包括 Exchange 管理员) 在同一台计算机上。除非设计和测试,以在此配置中运行第三方程序,否则这些程序可能无法正常工作,并且可能会影响 Exchange 服务器。这些类型的消息处理应用程序编程接口 (MAPI) 程序可能会受到影响的是自定义 MAPI 存储提供程序、 自定义网关和传输提供程序和扩展的 MAPI 客户端。这两种产品交付版本产生的可能不是完全协调而不会破坏 Exchange Server 5.5 或 Outlook 的 MAPI 子系统发生冲突的原因是这些行为。

更多信息

您可能希望在服务器端程序中利用某些 Outlook 组件在同一台计算机上安装 Outlook 和 Exchange 服务器。大多数程序开发满足需要不需要安装 Outlook 的 Exchange 服务器上。Exchange 2000 Server 和 Exchange Server 5.5 包括协作数据对象 (CDO),它可以提供与 Outlook 对象模型的类似功能。但是,CDO 专为服务器端使用而设计的并且您不可能会遇到可以通过使用更高版本的 Outlook 中发生的行为。 有关类型的行为的详细信息客户可能会遇到,单击下面的文章编号,以查看 Microsoft 知识库中相应的文章:
290500开发人员相关的电子邮件安全功能,在 Outlook 2002 中的说明
您可能还需要创建 MAPI 配置文件在同一台计算机上安装 Outlook 和 Exchange 服务器,但是,则没有必要这样做是为了创建 MAPI 配置文件。 有关如何创建无需安装 Outlook 的 MAPI 配置文件的其他信息请单击下面文章编号,以查看 Microsoft 知识库中相应的文章:
306962HOWTO: 创建不安装 Outlook 的 MAPI 配置文件
您可能需要出于演示目的在同一台计算机上安装 Outlook 和 Exchange 服务器。出于演示目的,已经过测试以下配置:
  • Exchange Server 5.5 与 Outlook 97 一起使用
  • Exchange Server 5.5 与 Outlook 98 一起使用
  • Exchange Server 5.5 使用 Outlook 2000 : 使用 Outlook 2002 与 Exchange Server 5.5 未经过测试。

症状和说明

Exchange 服务器安装 MAPI 子系统 Winnt\System32 文件夹中。如果用户开始使用 Outlook 2000 及更高版本的 Exchange 服务器,MAPI 子系统将移动到程序 Files\Common Files\System\Mapi\1033\NT 文件夹中。通常,Outlook 安装 MAPI 的"存根 (stub)"版本的工艺路线 MAPI 调用 Outlook 实施 Winnt\System32 文件夹中。如果 Exchange 服务器,您可以安装运行 Outlook,Mapi32.dll 文件是仍然加载,并且由存根 DLL 不替换该文件。此行为是设计使然,以便 Exchange Server 计算机不稳定。

此配置可能会损坏的自定义 MAPI 提供程序的安装。每个版本的 MAPI 希望在其他位置中找到 Mapisvc.inf 文件。例如对于 IMsgServiceAdmin::CreateMsgService 方法可能会停止响应与 MAPI_E_NOT_FOUND,如果预期的 Mapisvc.inf 不会更新与提供程序信息。要解决此行为更新 Mapisvc.inf 文件的两个副本,这样这两个版本的 MAPI 可以区分所做的更改。

因为 MAPI32 存根 (stub) 库不在 $ 位置中,设置存根库注册表项已在计算机上的没有影响。所有 Outlook 以外的程序可以使用 Exchange MAPI 实现。outlook 可以从程序 files\Common files\System\Mapi\1033\NT 文件夹加载 Msmapi32.dll 文件。

可能安装 Exchange 服务器,以便 Exchange MAPI 提供程序不会安装它。如果完成此过程,Outlook 就能够使用它将安装程序 Files\Common Files\System\Mapi\1033\NT 文件夹中的 MAPI。但是,其他 MAPI 程序可能不读取 Mapisvc.inf 中的文件,并且可能无法加载它们,即使 Mapisvc.inf 被更新,以将其列出。在计算机上重新安装 Exchange 管理员更正此问题。

如果您在安装 Outlook 之前, 退出 Exchange Server 服务或者退出 Exchange 服务器和运行使用存根 (stub) 库覆盖 \Winnt\System32 文件 Fixmapi.exe 文件此 procecudure 可能会强制使用 MAPI 的 Outlook 版本的 Exchange 服务器。但是,Exchange 服务器不支持这种配置,并且不应在生产环境中完成此过程。推荐的解决方案是在单独的计算机上安装这些程序。

有关详细的信息请单击下面的文章编号,以查看 Microsoft 知识库中相应的文章:
266418Microsoft 不支持安装 Exchange 服务器和在同一台计算机上的 Outlook

属性

文章编号: 313889 - 最后修改: 2013年10月24日 - 修订: 5.3
这篇文章中的信息适用于:
  • Microsoft Exchange Server 5.5 Service Pack 4
  • Microsoft Exchange Server 5.5 标准版
  • Microsoft Exchange Server 5.5 Service Pack 1
  • Microsoft Exchange Server 5.5 Service Pack 2
  • Microsoft Exchange Server 5.5 Service Pack 3
  • Microsoft Outlook 2000
  • Microsoft Outlook 2002 标准版
关键字:?
kbnosurvey kbarchive kbmt kbinfo KB313889 KbMtzh
机器翻译
注意:这篇文章是由无人工介入的微软自动的机器翻译软件翻译完成。微软很高兴能同时提供给您由人工翻译的和由机器翻译的文章, 以使您能使用您的语言访问所有的知识库文章。然而由机器翻译的文章并不总是完美的。它可能存在词汇,语法或文法的问题,就像是一个外国人在说中文时总是可能犯这样的错误。虽然我们经常升级机器翻译软件以提高翻译质量,但是我们不保证机器翻译的正确度,也不对由于内容的误译或者客户对它的错误使用所引起的任何直接的, 或间接的可能的问题负责。
点击这里察看该文章的英文版: 313889
Microsoft和/或其各供应商对于为任何目的而在本服务器上发布的文件及有关图形所含信息的适用性,不作任何声明。 所有该等文件及有关图形均"依样"提供,而不带任何性质的保证。Microsoft和/或其各供应商特此声明,对所有与该等信息有关的保证和条件不负任何责任,该等保证和条件包括关于适销性、符合特定用途、所有权和非侵权的所有默示保证和条件。在任何情况下,在由于使用或运行本服务器上的信息所引起的或与该等使用或运行有关的诉讼中,Microsoft和/或其各供应商就因丧失使用、数据或利润所导致的任何特别的、间接的、衍生性的损害或任何因使用而丧失所导致的之损害、数据或利润不负任何责任。

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com